DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# TikhonovMiller

Image restoration filter

## SYNOPSIS

`#include "dip_restoration.h"` `#include "dip_transform.h"`

dip_Error dip_TikhonovMiller ( in, psf, out, reg, background, method, var, lambda, flags )

## FUNCTION

The TikhonovMiller restoration filter is a linear least squares restoration algorithm.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input image
`dip_Image` | `psf` | Point spread function image
`dip_Image` | `out` | Output image
`dip_Image` | `reg` | Regularisation filter image
`dip_Image` | `background (0)` | Background image
`dipf_RegularizationParameter` | `method` | Method used to determine the regularisation parameter
`dip_float` | `var` | Noise variance
`dip_float *` | `lambda` | Regularisation parameter
`dipf_ImageRestoration` | `flags` | Restoration flags

## LITERATURE

G.M.P. van Kempen, Image Restoration in FLuorescence Microscopy, Ph.D. Thesis, Delft University of Technology, 1999

## SEE ALSO

`Wiener`, `TikhonovRegularizationParameter`